Subject: RE: [ipfix] charter re-negotiation?

From: Juergen Quittek <[email-masked]>
Date: Tue, 19 Nov 2002 07:34:45 +0100

Nevil and Dave,

Before this thread produces another 50 emails:
Could you please comment on it with WG chair hat on?

You wrote an negotiated the charter. Do you agree with
Randy's clear statement that high reliability is not covered
by the charter? Or do you disagree?

In either case, clarification will speed up our progress.

    Juergen

-- Juergen Quittek wrote on 19 November 2002 06:41 +0100:

> Tal,
>
> -- Tal Givoly wrote on 18 November 2002 21:04 -0800:
>
>> I must agree with Reinaldo.
>>
>> a) Billing and Accounting are part of the charter. Otherwise, we would not
>> have been involved to begin with. Furthermore, I made arguments to this
>> affect in previous postings.
>
> No disagreement at all. This is obvious.
>
>> b) "typical Internet reliability" is "best effort" - as Carter says -
>> unreliable at best, obviously ambiguous.
>
> Everything is unreliable. This is just polemics.
> Do you know any operator that never ever issued a wrong bill?
>
>> c) Billing applications do require high reliabilty. I'm sure Jeff can attest
>
> Most do, some don't. But here Randy's statement is very clear: if they do,
> they are not covered by the current charter. Or can you tell me how to
> interpret his statement otherwise?
>
>> to the extent to which carriers sometimes go to ensure reliable delivery of
>> data all the way from network/service elements to business support systems.
>> We have over 80 customers world wide. Many of which are Tier-1 carriers. For
>> them, lost usage data may imply lost revenue. Lost data in minds of many of
>
> If you have an average loss of 1% of accounting data, you can cover your
> operational cost with a tariff that is about 1% higher than the one you would
> offer with a loss of 0.001% of all accounting data.
>
> But most probably your tariff would be even lower, because equipment with
> 1% loss tends to be much cheaper than equipment guaranteeing 0.001% loss.
>
>> our customers is inexcusable. There are many levels/degrees of reliability
>> offered. These degrees have various impacts on devices and on collecting
>> systems. The various protocols proposed have various degrees of reliability.
>> d) As I urged earlier, we need to decide whether "standardizing NetFlow" is
>> the charter, or finding something that supports the various applications
>> mentioned explicitly in the charter and requirements document.
>
> We just need to realize, that standardizing something with a reliability
> similar to NetFlow is intended by the charter.
>
>>
>> Tal
>>
>> -----Original Message-----
>> From: majordomo listserver [mailto:[email-masked]]On Behalf
>> Of Juergen Quittek
>> Sent: Monday, November 18, 2002 7:45 PM
>> To: Reinaldo Penno; [email-masked]
>> Subject: RE: [ipfix] charter re-negotiation?
>>
>>
>> Reinaldo,
>>
>> I agree that accounting and billing are applications included in
>> the charter. However, they do not necessarily require high reliability.
>>
>> They can operate with different levels of reliability. If they can't,
>> they are not covered by the current charter. Quoting Randy with AD hat on:
>>   "the question is whether such applications are, or should be,
>>    in the charter of this wg.  currently they are not."
>> This is a clear statement giving very little freedom to interpretation.
>>
>> Therefore, I think we need re-chartering if we want to support them.
>>
>>     Juergen
>>
>>
>>
>>
>>
>> -- Reinaldo Penno wrote on 18 November 2002 17:46 -0800:
>>
>>> Hello Juergen,
>>>
>>> I disagree. The charter is already explicit about billing and accounting.
>>> You cannot be more explicit than this..
>>>
>>> "As such, there is a need in industry and the Internet research community
>>> for IP devices such as routers to export flow information in a standard
>> way
>>> to external systems such as mediation systems, accounting/billing systems,
>>> and network management systems to facilitate services such as Internet
>>> research, measurement, accounting, and billing. "
>>>
>>> There was also already a lot of feedback on the list supporting different
>>> kinds of billing/accounting requirements. What else is needed?
>>>
>>> Now, if someone's interpretation/thinking of the sentence above is
>> regarding
>>> some unique mode of billing and accounting or some special billing and
>>> accounting...well...what is to say?
>>>
>>> regards,
>>>
>>> Reinaldo
>>>
>>> I will also ask again: What is the meaning of "Typical Internet
>>> reliability"? People are throwing this concept around I still do not know
>>> what it means.
>>>
>>>
>>>> -----Original Message-----
>>>> From: Juergen Quittek [mailto:[email-masked]]
>>>> Sent: Monday, November 18, 2002 6:39 PM
>>>> To: [email-masked]
>>>> Subject: [ipfix] charter re-negotiation?
>>>>
>>>>
>>>> Hi all,
>>>>
>>>> I have a request for clarification.
>>>>
>>>> Nevil identified a list consensus on supporting multiple
>>>> levels of reliability:
>>>>
>>>> -- Nevil Brownlee wrote on 16 November 2002 08:23 +1300:
>>>> >    * It's clear that a 'standard IPFIX' must allow for
>>>> various levels
>>>> >      of reliability.  That suggests either having a base
>>>> level (MUST) and
>>>> >      higher levels (SHOULD and MAY), or having a mnimum set
>>>> of features
>>>> >      which applications can use to implement whatever level
>>>> of reliability
>>>> >      they need. [list consensus]
>>>> in http://ipfix.doit.wisc.edu/archive/1462.html
>>>>
>>>> But my understandung of Randy's message
>>>> http://ipfix.doit.wisc.edu/archive/1408.html
>>>> is that the high "carrier class" reliability level is out of scope:
>>>>
>>>> -- Randy Bush wrote on 11 November 2002 09:48 -0800:
>>>> > <ad>
>>>> >
>>>> >> I feel strongly that "typical Internet reliability" is
>>>> >> insufficient to make this standard of value for a large set of
>>>> >> applications.
>>>> >
>>>> > this is trivially true.  the question is whether such applications
>>>> > are, or should be, in the charter of this wg.  currently they are
>>>> > not.  if you wish to change that, then a change to the charter will
>>>> > be needed.  in this case, as it would seriously affect many
>>>> > parties, that will be a rather inclusive process and success is far
>>>> > from sure.
>>>> >
>>>> > it would be nice if the wg could abjure mission creep.
>>>> >
>>>> > </ad>
>>>>
>>>> Consequently, if we have consensus that we need more than
>>>> "typical Internet
>>>> reliabiltiy", then we should add the item "charter
>>>> re-negotiation" to the
>>>> agenda of our session on Thursday.
>>>>
>>>> Am I wrong with this assessment?
>>>>
>>>>     Juergen
>>>>
>>>>
>>>> --
>>>> Help        mailto:[email-masked] and say "help"
>>>> in message body
>>>> Unsubscribe mailto:[email-masked] and say
>>>> "unsubscribe ipfix" in message body
>>>> Archive     http://ipfix.doit.wisc.edu/archive/
>>>>
>>
>>
>>
>> --
>> Help        mailto:[email-masked] and say "help" in message
>> body
>> Unsubscribe mailto:[email-masked] and say
>> "unsubscribe ipfix" in message body
>> Archive     http://ipfix.doit.wisc.edu/archive/
>>
>
>
>
> --
> Help        mailto:[email-masked] and say "help" in message body
> Unsubscribe mailto:[email-masked] and say
> "unsubscribe ipfix" in message body
> Archive     http://ipfix.doit.wisc.edu/archive/

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/

---

From: Benoit Claise <[email-masked]>
Date: Tue, 19 Nov 2002 13:55:57 +0100

Dear all,

> by the charter? Or do you disagree? 

Yes, I think that this issue has been lasting too long! And we see two 
distinct groups of people with different goals.
We see the same arguments over and over on the mailing list. And this is 
not very productive!
Maybe a combined email from Randy, Nevil and Dave with their respective 
hats on would do the trick.

Note: personally, I was thinking that Randy's message was clear enough 
but ...

Regards, Benoit.

---

From: Dave Plonka <[email-masked]>
Date: Tue, 19 Nov 2002 13:28:08 -0600

IPFIXers,

Nevil and I have had the opportunity to discuss this...
Here is our understanding (but in my own words of course):

Our charter does not mandate that IPFIX be highly reliable at the
transport nor the application layer.  This was intentional - only a
subset of applications benefit significantly from that somewhat
complicated feature which is costly to implement on some exporter
platforms.  That said, IPFIX doesn't preclude transport or
application-level reliability.  So, it is possible to build a
highly-reliable system that is IPFIX conforming.

The IPFIX WG, through our evaluation process, will select a protocol
that (1) satisfies the requirements and (2) is preferred with respect
to less tangible aspects including flexibility, simplicity, etc.

If some among us believe have identified applications that require
absolute reliability at the transport or application layer, then IPFIX
requirements are perhaps insufficient for your applications
requirements.  We mean IPFIX to be the "lingua franca" for the routed
Internet, so relaxing applications requirements to make use of
ubiquitous IP flow data may be in your best interest.  If that is not
possible, perhaps you can lobby an IPFIX canidate protocol advocate to
optionally support some more reliable mode for your application domain.

To the best of my knowledge, no IP router stops forwarding packets
because of occasionally reporting system failures (at least not by
design ;^), and that could be one ultimate consequence of mandating
application-level reliability and implementing it on a router.

Instead, IPFIX defines the failure modes for the flow information
export; it defines how the system behaves when confronted with
transport congestion or resource overloads, so that we can bound, or at
least know, the error.

Dave

> In either case, clarification will speed up our progress.
<snip>

-- 
[email-masked]  http://net.doit.wisc.edu/~plonka  ARS:N9HZF  Madison, WI